Package net.shibboleth.shared.security.impl

# Class SelfSignedCertificateGenerator.CommandLineArgs

java.lang.Object
net.shibboleth.shared.security.impl.SelfSignedCertificateGenerator.CommandLineArgs

Enclosing class:
  SelfSignedCertificateGenerator

private static final class SelfSignedCertificateGenerator.CommandLineArgs extends Object
Manages command line parsing for application and the bean properties used by the generator.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CERT_ALG`
Certificate algorithm.
`static final String`
`CERT_FILE`
Path to certificate file to create.
`static final String`
`CERT_LIFETIME`
Certificate lifetime.
`private String`
`certAlg`
Certificate algorithm.
`private File`
`certificateFile`
Certificate file.
`private int`
`certificateLifetime`
Certificate lifetime.
`static final String`
`DNS_ALTNAMES`
DNS subjectAltNames.
`private List<String>`
`dnsSubjectAltNames`
DNS subjectAltNames.
`private boolean`
`help`
Display command usage.
`static final String`
`HELP`
Display command usage.
`private String`
`hostname`
Hostname.
`static final String`
`HOSTNAME`
Hostname for cert subject.
`static final String`
`KEY_FILE`
Path to private key file to create.
`static final String`
`KEY_SIZE`
Key size.
`static final String`
`KEY_TYPE`
Key algorithm.
`private int`
`keySize`
Key size.
`private File`
`keystoreFile`
Keystore file.
`private String`
`keystorePassword`
Keystore password.
`private String`
`keystoreType`
Keystore type.
`private String`
`keyType`
Key algorithm.
`private File`
`privateKeyFile`
Private key file.
`static final String`
`STORE_FILE`
Path to keystore to create.
`static final String`
`STORE_PASS`
Keystore password.
`static final String`
`STORE_TYPE`
Type of keystore to create.
`static final String`
`URI_ALTNAMES`
URI subjectAltNames.
`private List<String>`
`uriSubjectAltNames`
URI subjectAltNames.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CommandLineArgs()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HELP

@Nonnull @NotEmpty public static final String HELP
Display command usage.

See Also:
  - Constant Field Values

### KEY_TYPE

@Nonnull @NotEmpty public static final String KEY_TYPE
Key algorithm.

See Also:
  - Constant Field Values

### KEY_SIZE

@Nonnull @NotEmpty public static final String KEY_SIZE
Key size.

See Also:
  - Constant Field Values

### CERT_LIFETIME

@Nonnull @NotEmpty public static final String CERT_LIFETIME
Certificate lifetime.

See Also:
  - Constant Field Values

### CERT_ALG

@Nonnull @NotEmpty public static final String CERT_ALG
Certificate algorithm.

See Also:
  - Constant Field Values

### HOSTNAME

@Nonnull @NotEmpty public static final String HOSTNAME
Hostname for cert subject.

See Also:
  - Constant Field Values

### DNS_ALTNAMES

@Nonnull @NotEmpty public static final String DNS_ALTNAMES
DNS subjectAltNames.

See Also:
  - Constant Field Values

### URI_ALTNAMES

@Nonnull @NotEmpty public static final String URI_ALTNAMES
URI subjectAltNames.

See Also:
  - Constant Field Values

### KEY_FILE

@Nonnull @NotEmpty public static final String KEY_FILE
Path to private key file to create.

See Also:
  - Constant Field Values

### CERT_FILE

@Nonnull @NotEmpty public static final String CERT_FILE
Path to certificate file to create.

See Also:
  - Constant Field Values

### STORE_TYPE

@Nonnull @NotEmpty public static final String STORE_TYPE
Type of keystore to create.

See Also:
  - Constant Field Values

### STORE_FILE

@Nonnull @NotEmpty public static final String STORE_FILE
Path to keystore to create.

See Also:
  - Constant Field Values

### STORE_PASS

@Nonnull @NotEmpty public static final String STORE_PASS
Keystore password.

See Also:
  - Constant Field Values

### help

private boolean help
Display command usage.

### keyType

@Nonnull @NotEmpty private String keyType
Key algorithm.

### keySize

@Positive private int keySize
Key size.

### certificateLifetime

@Positive private int certificateLifetime
Certificate lifetime.

### certAlg

@Nullable @NotEmpty private String certAlg
Certificate algorithm.

### hostname

@Nullable @NotEmpty private String hostname
Hostname.

### dnsSubjectAltNames

@Nullable private List<String> dnsSubjectAltNames
DNS subjectAltNames.

### uriSubjectAltNames

@Nullable private List<String> uriSubjectAltNames
URI subjectAltNames.

### privateKeyFile

@Nullable private File privateKeyFile
Private key file.

### certificateFile

@Nullable private File certificateFile
Certificate file.

### keystoreType

@Nonnull @NotEmpty private String keystoreType
Keystore type.

### keystoreFile

@Nullable private File keystoreFile
Keystore file.

### keystorePassword

@Nullable private String keystorePassword
Keystore password.

## Constructor Details

### CommandLineArgs

private CommandLineArgs()